package com.sampletest;

import java.time.Instant;

public class InstantExample {
    public static void main(String[] args) {
        // Get the current moment in time
        Instant now = Instant.now();
        System.out.println("Current Instant: " + now);

        // Creating an Instant from a specific epoch time (seconds since the epoch)
        long epochTimeInSeconds = 1679805640;
        Instant specificInstant = Instant.ofEpochSecond(epochTimeInSeconds);
        System.out.println("Specific Instant: " + specificInstant);

        // Adding 5 seconds to the Instant
        Instant laterInstant = now.plusSeconds(5);
        System.out.println("Later Instant: " + laterInstant);

        // Comparing two Instants
        if (now.isBefore(specificInstant)) {
            System.out.println("Current Instant is before Specific Instant.");
        } else {
            System.out.println("Current Instant is after Specific Instant.");
        }
    }
}
