package com.sampletest;

import java.time.LocalDateTime;

public class LocalDateTimeExample {
    public static void main(String[] args) {
        // Create a specific LocalDateTime
        LocalDateTime dateTime = LocalDateTime.of(2023, 7, 25, 14, 30, 0);

        // Get the current LocalDateTime
        LocalDateTime now = LocalDateTime.now();

        // Manipulate LocalDateTime
        LocalDateTime futureDateTime = dateTime.plusDays(5).minusHours(2);

        // Compare two LocalDateTime
        if (now.isBefore(dateTime)) {
            System.out.println("The current time is before the specified date and time.");
        } else {
            System.out.println("The current time is after the specified date and time.");
        }
    }
}
